<?php /* Theme Customizer For delish Theme */
   
function delish_customize_register ( $wp_customize ) {
      
	// Theme Colors
 
	$colors = array();
    $colors[] = array( 'slug'=>'prime_color', 'default' => '#00c744',
    'label' => __( 'Primary Color Scheme', 'delish' ) );
    $colors[] = array( 'slug'=>'header_color', 'default' => '#1D1D1D',
    'label' => __( 'Header Background Color', 'delish' ) );
    $colors[] = array( 'slug'=>'post_color', 'default' => '#141412',
    'label' => __( 'Post Heading Color ', 'delish' ) );
    $colors[] = array( 'slug'=>'text_color', 'default' => '#63676e',
    'label' => __( 'Content Text Color', 'delish' ) );

	
	foreach($colors as $color)
  	{	
    $wp_customize->add_setting( $color['slug'], array( 'default' => $color['default'],
    'type' => 'theme_mod', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_hex_color', ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
     $color['slug'], array( 'label' => $color['label'], 'section' => 'colors',
     'settings' => $color['slug'] )));
  	}
	// Theme Colors Ends
	
	// Logo Uploader
	
	$wp_customize->add_section( 'delish_logo_fav_section' , array(
    'title'       => __( 'Site Logo', 'delish' ),
    'priority'    => 30,
    'description' =>  __('Upload a logo to replace the default site name and description in the header','delish'),) );
	
   $wp_customize->add_setting( 'delish_logo', array(
		'sanitize_callback' => 'esc_url_raw') );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'delish_logo', array(
    'label'    => __( 'Site Logo ( Max height - 60px)', 'delish' ),
    'section'  => 'delish_logo_fav_section',
    'settings' => 'delish_logo',
    ) ) );
	function delish_check_header_video($file){
  return validate_file($file, array('', 'mp4'));
    }
	// Logo  Uploader Ends
	
 	// Footer Copyright Section
	
	$wp_customize->add_section( 'fcopyright', array(
        'title' => __('Footer Copyright','delish'), // The title of section
        'description' => __('Add Your Copyright Notes Here.','delish'), // The description of section
        'priority' => '900',
	) );
 
	$wp_customize->add_setting( 'delish_footer_top', array('default' => __('Any Text Here','delish'),'sanitize_callback' => 'delish_sanitize_footer_text',) );
    $wp_customize->add_control( 'delish_footer_top', array('label' => __('Footer Text','delish'),'section' => 'fcopyright',) );
	$wp_customize->add_setting( 'delish_footer_cr_left', array('default' => __('Your Copyright Here.','delish'),'sanitize_callback' => 'delish_sanitize_footer_text',) );
	$wp_customize->add_control( 'delish_footer_cr_left', array('label' => __('Copyright Note Left','delish'),'section' => 'fcopyright',) );

	function delish_sanitize_footer_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );}
}
    
	// Footer Copyright Section Ends
	
    // This will output the custom WordPress settings to the live theme's WP head. */
   
   function delish_header_output() {
    
	 $primecolor = get_theme_mod('prime_color');
     $headercolor = get_theme_mod('header_color');
	 $postcolor = get_theme_mod('post_color');
	 $textcolor = get_theme_mod('text_color');	 
	 
	 
	 ?><?php 
      if (  (!empty($primecolor)) || (! empty( $headercolor )) || (!empty($postcolor)) || (!empty($textcolor)) ){
?>	  <!--Customizer CSS--> 
      
	  <style type="text/css">
			<?php if($primecolor) { ?>
		      .catbox a, .hcat a:visited, #main-nav  #main-menu li:hover, #main-nav #main-menu li.current-menu-item, 
  .entry-summary a, .entry-meta a, .entry-title a:hover,
ul.popular-posts-sdr li a, .widget_recent_entries ul li a:hover, .widget_nav_menu li a:hover, 
.widget_categories ul li a:hover, .widget_archive li a:hover, .widget_meta li a:hover, .widget_recent_comments li a:hover, 
			  a, #sidebar .widget-title, .cdetail h3 a:hover, .cdetail h2 a:hover, .delish-category-posts li p, .widget_recent_entries li a, .nav-links a,
			  .archive-title, .entry-content a, .comment-content a
			  {color:<?php echo esc_attr($primecolor); ?>;} 
			

			.archive-title, blockquote {border-color:<?php echo esc_attr($primecolor); ?>;} 
			
			button, input[type="submit"], input[type="button"], input[type="reset"] {background-color:<?php echo esc_attr($primecolor); ?>; }
			
			<?php } ?>
	       

		    <?php if($headercolor) { ?>
		      #header{background-color: <?php echo esc_attr($headercolor); ?>}
			  .primary-navigation ul li:hover li a, .primary-navigation ul li.iehover li a{ background-color: <?php echo esc_attr($headercolor); ?>}
		   	<?php } ?>
            <?php if($postcolor) { ?>

             h1, h2, h3, h4, h5, h6, .related-article h5 a:hover, .entry-title h2, .entry-title a, .pagenavi a,
			  h1 a, .h1 a, h2 a, .h2 a, h3 a, .h3 a, h4 a, .h4 a, h5 a, .h5 a, h6 a, .h6 a, a:hover, a:visited:hover, a:focus, a:visited:focus,
			  .widget_tag_cloud a {color: <?php echo esc_attr($postcolor); ?>;}
			  			  .mobile-menu, .nav-toggle {background-color:#444;} .nav-toggle-text{ color:#fff;}
		   	<?php } ?>
			<?php if($textcolor) { ?> p, .entry-summary ul li, .entry-content ul li, entry-summary ol li, entry-content ol li, dd
			{color:<?php echo esc_attr($textcolor); ?>;}
		      		  <?php } ?>

			
			
	  </style>
      <!--/Customizer CSS-->
	<?php } ?>
	<?php } 
	
add_action( 'customize_register', 'delish_customize_register', 11 );
add_action( 'wp_head', 'delish_header_output', 11 );